## git-lfs-v3.2.0.tar.gz.259bea8a3a1f538acb348941196dca7e

=== Makefile ===
# GIT_LFS_SHA is the '--short'-form SHA1 of the current revision of Git LFS.
GIT_LFS_SHA ?= $(shell git rev-parse --short HEAD)
# VERSION is the longer-form describe output of the current revision of Git LFS,
# used for identifying intermediate releases.
#
# If Git LFS is being built for a published release, VERSION and GIT_LFS_SHA
# should be identical.
VERSION ?= $(shell git describe HEAD)

# PREFIX is VERSION without the leading v, for use in archive prefixes.
PREFIX ?= $(patsubst v%,git-lfs-%,$(VERSION))

# GO is the name of the 'go' binary used to compile Git LFS.
GO ?= go

# GO_TEST_EXTRA_ARGS are extra arguments given to invocations of 'go test'.
#
# Examples include:
#
# 	make test GO_TEST_EXTRA_ARGS=-v
# 	make test GO_TEST_EXTRA_ARGS='-run TestMyExample'
GO_TEST_EXTRA_ARGS =

# BUILTIN_LD_FLAGS are the internal flags used to pass to the linker. By default
# the config.GitCommit variable is always set via this variable, and
# DWARF-stripping is enabled unless DWARF=YesPlease.
BUILTIN_LD_FLAGS =
ifneq ("$(VENDOR)","")
BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.Vendor=$(VENDOR)
endif
BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.GitCommit=$(GIT_LFS_SHA)
ifneq ("$(DWARF)","YesPlease")
BUILTIN_LD_FLAGS += -s
BUILTIN_LD_FLAGS += -w
endif
# EXTRA_LD_FLAGS are given by the caller, and are passed to the Go linker after
# BUILTIN_LD_FLAGS are processed. By default the system LDFLAGS are passed.
ifdef LDFLAGS
EXTRA_LD_FLAGS ?= -extldflags ${LDFLAGS}
endif
# LD_FLAGS is the union of the above two BUILTIN_LD_FLAGS and EXTRA_LD_FLAGS.
LD_FLAGS = $(BUILTIN_LD_FLAGS) $(EXTRA_LD_FLAGS)

# BUILTIN_GC_FLAGS are the internal flags used to pass compiler.
BUILTIN_GC_FLAGS =
# EXTRA_GC_FLAGS are the caller-provided flags to pass to the compiler.
EXTRA_GC_FLAGS =
# GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)

# RONN is the name of the 'ronn' program used to generate man pages.
RONN ?= ronn
# RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
RONN_EXTRA_ARGS ?=

# GREP is the name of the program used for regular expression matching, or
# 'grep' if unset.
GREP ?= grep
# XARGS is the name of the program used to turn stdin into program arguments, or
# 'xargs' if unset.
XARGS ?= xargs

# GOIMPORTS is the name of the program formatter used before compiling.
GOIMPORTS ?= goimports
# GOIMPORTS_EXTRA_OPTS are the default options given to the $(GOIMPORTS)
# program.
GOIMPORTS_EXTRA_OPTS ?= -w -l

# TAR is the tar command, either GNU or BSD (libarchive) tar.
TAR ?= tar

TAR_XFORM_ARG ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
TAR_XFORM_CMD ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo 's')

# CERT_SHA1 is the SHA-1 hash of the Windows code-signing cert to use.  The
# actual signature is made with SHA-256.
CERT_SHA1 ?= 27ea8f81ce920bccd2174e3b272f2ba247605be6

# CERT_FILE is the PKCS#12 file holding the certificate.
CERT_FILE ?=

# CERT_PASS is the password for the certificate.  It must not contain
# double-quotes.
CERT_PASS ?=

# CERT_ARGS are additional arguments to pass when signing Windows binaries.
ifneq ("$(CERT_FILE)$(CERT_PASS)","")
CERT_ARGS ?= -f "$(CERT_FILE)" -p "$(CERT_PASS)"
else
CERT_ARGS ?= -sha1 $(CERT_SHA1)
endif

# DARWIN_CERT_ID is a portion of the common name of the signing certificatee.
DARWIN_CERT_ID ?=

# DARWIN_KEYCHAIN_ID is the name of the keychain (with suffix) where the
# certificate is located.
DARWIN_KEYCHAIN_ID ?= CI.keychain

# SOURCES is a listing of all .go files in this and child directories, excluding
# that in vendor.
SOURCES = $(shell find . -type f -name '*.go' | grep -v vendor)

# MSGFMT is the GNU gettext msgfmt binary.
MSGFMT ?= msgfmt

# PO is a list of all the po (gettext source) files.
PO = $(wildcard po/*.po)

# MO is a list of all the mo (gettext compiled) files to be built.
MO = $(patsubst po/%.po,po/build/%.mo,$(PO))

# XGOTEXT is the string extractor for gotext.
XGOTEXT ?= xgotext

# CODESIGN is the macOS signing tool.
CODESIGN ?= codesign

# GON is the macOS notarizing tool.
GON ?= gon

# SIGNTOOL is the Windows signing tool.
SIGNTOOL ?= signtool.exe

# FORCE_LOCALIZE forces localization to be run if set to non-empty.
FORCE_LOCALIZE ?=

# PKGS is a listing of packages that are considered to be a part of Git LFS, and
# are used in package-specific commands, such as the 'make test' targets. For
# example:
#
# 	make test                               # run 'go test' in all packages
# 	make PKGS='config git/githistory' test  # run 'go test' in config and
# 	                                        # git/githistory
#
# By default, it is a listing of all packages in Git LFS. When new packages (or
# sub-packages) are created, they should be added here.
ifndef PKGS
PKGS =
PKGS += commands
PKGS += config
PKGS += creds
PKGS += errors
PKGS += filepathfilter
PKGS += fs
PKGS += git
PKGS += git/gitattr
PKGS += git/githistory
PKGS += git
PKGS += lfs
PKGS += lfsapi
PKGS += lfshttp
PKGS += locking
PKGS += ssh
PKGS += subprocess
PKGS += tasklog
PKGS += tools
PKGS += tools/humanize
PKGS += tools/kv
PKGS += tr
PKGS += tq
endif

# X is the platform-specific extension for Git LFS binaries. It is automatically
# set to .exe on Windows, and the empty string on all other platforms. It may be
# overridden.
#
# BUILD_MAIN is the main ".go" file that contains func main() for Git LFS. On
# macOS and other non-Windows platforms, it is required that a specific
# entrypoint be given, hence the below conditional. On Windows, it is required
# that an entrypoint not be given so that goversioninfo can successfully embed
# the resource.syso file (for more, see below).
#
# BSDTAR is BSD (libarchive) tar.
ifeq ($(OS),Windows_NT)
X ?= .exe
BUILD_MAIN ?=
BSDTAR ?= C:/Windows/system32/tar.exe
else
X ?=
BUILD_MAIN ?= ./git-lfs.go
BSDTAR ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo bsdtar || echo $(TAR))
endif

# BUILD is a macro used to build a single binary of Git LFS using the above
# LD_FLAGS and GC_FLAGS.
#
# It takes three arguments:
#
# 	$(1) - a valid GOOS value, or empty-string
# 	$(2) - a valid GOARCH value, or empty-string
# 	$(3) - an optional program extension. If $(3) is given as '-foo', then the
# 	       program will be written to bin/git-lfs-foo.
#
# It uses BUILD_MAIN as defined above to specify the entrypoint for building Git
# LFS.
BUILD = GOOS=$(1) GOARCH=$(2) \
	$(GO) build \
	-ldflags="$(LD_FLAGS)" \
	-gcflags="$(GC_FLAGS)" \
	-trimpath \
	-o ./bin/git-lfs$(3) $(BUILD_MAIN)

# BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
# built for.
BUILD_TARGETS = \
	bin/git-lfs-darwin-amd64 \
	bin/git-lfs-darwin-arm64 \
	bin/git-lfs-linux-arm \
	bin/git-lfs-linux-arm64 \
	bin/git-lfs-linux-amd64 \
	bin/git-lfs-linux-ppc64le \
	bin/git-lfs-linux-s390x \
	bin/git-lfs-linux-386 \
	bin/git-lfs-freebsd-amd64 \
	bin/git-lfs-freebsd-386 \
	bin/git-lfs-windows-amd64.exe \
	bin/git-lfs-windows-386.exe \
	bin/git-lfs-windows-arm64.exe

# mangen is a shorthand for ensuring that commands/mancontent_gen.go is kept
# up-to-date with the contents of docs/man/*.ronn.
.PHONY : mangen
mangen : commands/mancontent_gen.go

# commands/mancontent_gen.go is generated by running 'go generate' on package
# 'commands' of Git LFS. It depends upon the contents of the 'docs' directory
# and converts those manpages into code.
commands/mancontent_gen.go : $(wildcard docs/man/*.ronn)
	GOOS= GOARCH= $(GO) generate github.com/git-lfs/git-lfs/v3/commands

# trgen is a shorthand for ensuring that tr/tr_gen.go is kept up-to-date with
# the contents of po/build/*.mo.
.PHONY : trgen
trgen : tr/tr_gen.go

# tr/tr_gen.go is generated by running 'go generate' on package
# 'tr' of Git LFS. It depends upon the contents of the 'po' directory
# and converts the .mo files.
tr/tr_gen.go : $(MO)
	GOOS= GOARCH= $(GO) generate github.com/git-lfs/git-lfs/v3/tr

po/build:
	mkdir -p po/build

# These targets build the MO files.
po/build/%.mo: po/%.po po/build
ifeq ($(FORCE_LOCALIZE),)
	if command -v $(MSGFMT) >/dev/null 2>&1; \
	then \
		$(MSGFMT) -o $@ $<; \
	fi
else
	$(MSGFMT) -o $@ $<
endif

po/i-reverse.po: po/default.pot
	script/gen-i-reverse $< $@

po/default.pot:
	if command -v $(XGOTEXT) >/dev/null 2>&1; \
	then \
		$(XGOTEXT) -in . -exclude .git,.github,vendor -out po -v; \
	fi

# Targets 'all' and 'build' build binaries of Git LFS for the above release
# matrix.
.PHONY : all build
all build : $(BUILD_TARGETS)

# The following bin/git-lfs-% targets make a single binary compilation of Git
# LFS for a specific operating system and architecture pair.
#
# They function by translating target names into arguments for the above BUILD
# builtin, and appending the appropriate suffix to the build target.
#
# On Windows, they also depend on the resource.syso target, which installs and
# embeds the versioninfo into the binary.
bin/git-lfs-darwin-amd64 : $(SOURCES) mangen trgen
	$(call BUILD,darwin,amd64,-darwin-amd64)
bin/git-lfs-darwin-arm64 : $(SOURCES) mangen trgen
	$(call BUILD,darwin,arm64,-darwin-arm64)
bin/git-lfs-linux-arm : $(SOURCES) mangen trgen
	GOARM=5 $(call BUILD,linux,arm,-linux-arm)
bin/git-lfs-linux-arm64 : $(SOURCES) mangen trgen
	$(call BUILD,linux,arm64,-linux-arm64)
bin/git-lfs-linux-amd64 : $(SOURCES) mangen trgen
	$(call BUILD,linux,amd64,-linux-amd64)
bin/git-lfs-linux-ppc64le : $(SOURCES) mangen trgen
	$(call BUILD,linux,ppc64le,-linux-ppc64le)
bin/git-lfs-linux-s390x : $(SOURCES) mangen trgen
	$(call BUILD,linux,s390x,-linux-s390x)
bin/git-lfs-linux-386 : $(SOURCES) mangen trgen
	$(call BUILD,linux,386,-linux-386)
bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen trgen
	$(call BUILD,freebsd,amd64,-freebsd-amd64)
bin/git-lfs-freebsd-386 : $(SOURCES) mangen trgen
	$(call BUILD,freebsd,386,-freebsd-386)
bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen trgen
	$(call BUILD,windows,amd64,-windows-amd64.exe)
bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen trgen
	$(call BUILD,windows,386,-windows-386.exe)
bin/git-lfs-windows-arm64.exe : resource.syso $(SOURCES) mangen trgen
	$(call BUILD,windows,arm64,-windows-arm64.exe)

# .DEFAULT_GOAL sets the operating system-appropriate Git LFS binary as the
# default output of 'make'.
.DEFAULT_GOAL := bin/git-lfs$(X)

# bin/git-lfs targets the default output of Git LFS on non-Windows operating
# systems, and respects the build knobs as above.
bin/git-lfs : $(SOURCES) fmt mangen trgen
	$(call BUILD,$(GOOS),$(GOARCH),)

# bin/git-lfs.exe targets the default output of Git LFS on Windows systems, and
# respects the build knobs as above.
bin/git-lfs.exe : $(SOURCES) resource.syso mangen trgen
	$(call BUILD,$(GOOS),$(GOARCH),.exe)

# resource.syso installs the 'goversioninfo' command and uses it in order to
# generate a binary that has information included necessary to create the
# Windows installer.
#
# Generating a new resource.syso is a pure function of the contents in the
# prerequisites listed below.
resource.syso : \
versioninfo.json script/windows-installer/git-lfs-logo.bmp \
script/windows-installer/git-lfs-logo.ico \
script/windows-installer/git-lfs-wizard-image.bmp
	$(GO) generate

# RELEASE_TARGETS is the set of all release artifacts that we generate over a
# particular release. They each have a corresponding entry in BUILD_TARGETS as
# above.
#
# Unlike BUILD_TARGETS above, each of the below create a compressed directory
# containing the matching binary, as well as the contents of RELEASE_INCLUDES
# below.
#
# To build a specific release, execute the following:
#
# 	make bin/releases/git-lfs-darwin-amd64-$(git describe HEAD).tar.gz
#
# To build a specific release with a custom VERSION suffix, run the following:
#
# 	make VERSION=my-version bin/releases/git-lfs-darwin-amd64-my-version.tar.gz
RELEASE_TARGETS = \
	bin/releases/git-lfs-darwin-amd64-$(VERSION).zip \
	bin/releases/git-lfs-darwin-arm64-$(VERSION).zip \

=== debian/changelog ===
git-lfs (3.2.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Wed, 25 May 2022 14:29:00 -0000

git-lfs (3.1.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Mon, 14 Feb 2022 14:29:00 -0000

git-lfs (3.0.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Fri, 24 Sep 2021 14:29:00 -0000

git-lfs (2.13.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Thu, 10 Dec 2020 14:29:00 -0000

git-lfs (2.12.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Tue, 1 Sep 2020 14:29:00 -0000

git-lfs (2.11.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Fri, 08 May 2020 14:29:00 -0000

git-lfs (2.10.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Tue, 21 Jan 2020 14:29:00 -0000

git-lfs (2.9.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Thu, 17 Oct 2019 14:29:00 -0000

git-lfs (2.8.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Tue, 23 Jul 2019 14:29:00 -0000

git-lfs (2.7.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Fri, 15 Feb 2019 14:29:00 -0000

git-lfs (2.6.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 1 Nov 2018 14:29:00 +0000

git-lfs (2.5.2) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 17 Sep 2018 14:29:00 +0000

git-lfs (2.5.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 2 Aug 2018 14:29:00 +0000

git-lfs (2.5.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 26 Jul 2018 14:29:00 +0000

git-lfs (2.4.2) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 28 May 2018 14:29:00 +0000

git-lfs (2.4.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 21 May 2018 14:29:00 +0000

git-lfs (2.4.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 1 Mar 2018 14:29:00 +0000

git-lfs (2.3.4) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Wed, 18 Oct 2017 14:29:00 +0000

git-lfs (2.3.3) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Mon, 9 Oct 2017 14:29:00 +0000

git-lfs (2.3.2) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Tue, 3 Oct 2017 14:29:00 +0000

git-lfs (2.3.1) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Wed, 26 Sep 2017 14:29:00 +0000

git-lfs (2.3.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 14 Sep 2017 14:29:00 +0000

git-lfs (2.2.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 10 Jul 2017 14:29:00 +0000

git-lfs (2.2.0) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Tue, 27 Jun 2017 14:29:00 +0000

git-lfs (2.1.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Fri, 19 May 2017 14:29:00 +0000

git-lfs (2.1.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Fri, 28 Apr 2017 14:29:00 +0000

git-lfs (2.0.2) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Wed, 29 Mar 2017 14:29:00 +0000

git-lfs (2.0.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 6 Mar 2017 14:29:00 +0000

git-lfs (2.0.0) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Tue, 1 Mar 2017 14:29:00 +0000

git-lfs (1.5.6) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Thu, 16 Feb 2017 14:29:00 +0000

git-lfs (1.5.5) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Thu, 12 Jan 2017 14:29:00 +0000

git-lfs (1.5.4) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Tue, 27 Dec 2016 14:29:00 +0000

git-lfs (1.5.3) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 5 Dec 2016 14:29:00 +0000

git-lfs (1.5.2) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Tue, 22 Nov 2016 14:29:00 +0000

git-lfs (1.5.1) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Fri, 18 Nov 2016 14:29:00 +0000

git-lfs (1.5.0) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Thu, 17 Nov 2016 14:29:00 +0000

git-lfs (1.4.4) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 24 Oct 2016 14:29:00 +0000

git-lfs (1.4.3) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 17 Oct 2016 14:29:00 +0000

git-lfs (1.4.2) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 10 Oct 2016 14:29:00 +0000

git-lfs (1.4.1) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Fri, 26 Aug 2016 14:29:00 +0000

git-lfs (1.4.0) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Fri, 19 Aug 2016 14:29:00 +0000

git-lfs (1.3.1) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Tue, 2 Aug 2016 14:29:00 +0000

git-lfs (1.3.0) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Thu, 21 Jul 2016 14:29:00 +0000

git-lfs (1.2.1) stable; urgency=low

  * New upstream version



=== debian/control ===
Source: git-lfs
Section: vcs
Priority: optional
Maintainer: Stephen Gelman <gelman@getbraintree.com>
Build-Depends: debhelper (>= 9), dh-golang, golang-go:native (>= 1.12.0), git (>= 1.8.2), ruby-ronn, ronn | ruby-ronn (<< 0.8.0-1)
Standards-Version: 3.9.6

Package: git-lfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, git (>= 1.8.2)
Built-Using: ${misc:Built-Using}
Description: Git Large File Support
 An open source Git extension for versioning large files
Homepage: https://git-lfs.github.com/
